#!/bin/bash
kernels="kona!rt!zen!tkg"
module="kona"

if [ ! -x /usr/bin/apt-get ] && [ -f /boot/vmlinuz-$(uname -r) ]; then
  zenity --warning --title="高音質カーネルインストーラー"  --text="このシステムにはインストールできません" --no-wrap
  exit
fi
if [ -z "$(lscpu|grep avx2)" ]; then
  zenity --warning --title="高音質カーネルインストーラー"  --text="このCPUにはインストールできません" --no-wrap
  exit
fi

ret=$(yad --form --center --no-wrap --title="高音質カーネルインストーラー" --image="/usr/share/icons/Adwaita/32x32/emblems/emblem-system-symbolic.symbolic.png" --text="高音質カーネルをインストールする\n\n rt ........ リアルタイムカーネル\n zen ..... Zenカーネル\n kona ... Konaカーネル\n tkg ...... Tkgカーネル\n"  --field="カーネル:CB" "$module!$kernels")
if [ "$?" = "0" ]; then
  kernelname="$(echo $ret|cut -d'|' -f1)"
  if [ "$kernelname" = "tkg" ]; then
    kernel="linux-image-6.9.0-tkg-kona"
  elif [ "$kernelname" = "rt" ]; then
    kernel="linux-image-6.1.37-rt13-rc1-kona"
  elif [ "$kernelname" = "kona" ]; then
    kernel="linux-image-6.9.4-kona"
  elif [ "$kernelname" = "zen" ]; then
    kernel="linux-image-6.8.11-zen-kona"
  fi
  [ -z "$kernel" ] && exit
  if [ ! -z "$(dpkg -l|grep "ii  $kernel")" ]; then
    zenity --warning --title="高音質カーネルインストーラー" --text="$kernelnameカーネルはすでにインストールされています" --no-wrap
  else
    echo $kernel > /etc/konahqss/kernel
    pkexec env DISPLAY=$DISPLAY XAUTHORITY=$XAUTHORITY x-terminal-emulator -e /etc/konahqss/installkernel.sh
    if [ ! -z "$(dpkg -l|grep "ii  $kernel")" ]; then
      zenity --info --title="高音質カーネルインストール" --text="$kernelnameカーネルをインストールしました" --no-wrap
    fi
  fi
fi
